/*
 * On loadbang, set print out the path to the abstraction
 * containing this js object
 */
function loadbang() {
    // check that we have arguments
    if (jsarguments.length <= 1) {
        post("not enough arguments");
        return;
    }

    // build end of path from arguments
    var path = jsarguments[1];
    for (var i = 2; i < jsarguments.length; ++i) {
        path = path + "_" + jsarguments[i];
    }

    // get the patcher containing this js object
    var p = this.patcher;
    // get the patch containing the abstraction
//    p = this.patcher.box.patcher;

    // if the patcher we have is a subpatcher
    // get the containing object's scripting name
    // and add it to the path
    while (p.box) {
        // only add to path if scripting name exists
        if (p.box.varname) {
            path = p.box.varname + "_" + path;
        }
        p = p.box.patcher;
    }

    outlet(0,path);
}

/*
 * manually trigger loadbang()
 */
function bang() {
    loadbang();
}
